<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
/******************** Whitish Lite SLIDER SETTINGS ******************************************/
$whitish_lite_settings = whitish_lite_get_theme_options();
$wp_customize->add_section( 'featured_content', array(
	'title' => __( 'Slider Settings', 'whitish-lite' ),
	'priority' => 140,
	'panel' => 'whitish_lite_featuredcontent_panel'
));
$wp_customize->add_setting( 'whitish_lite_theme_options[whitish_lite_enable_slider]', array(
	'default' => $whitish_lite_settings['whitish_lite_enable_slider'],
	'sanitize_callback' => 'whitish_lite_sanitize_select',
	'type' => 'option',
));
$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_enable_slider]', array(
	'priority'=>12,
	'label' => __('Slider Option', 'whitish-lite'),
	'section' => 'featured_content',
	'type' => 'select',
	'checked' => 'checked',
	'choices' => array(
	'enable' => __('Enable Slider','whitish-lite'),
	'disable' => __('Disable Slider','whitish-lite'),
),
));
$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_secondary_text]', array(
	'default' =>$whitish_lite_settings['whitish_lite_secondary_text'],
	'sanitize_callback' => 'sanitize_text_field',
	'type' => 'option',
	'capability' => 'manage_options'
));
$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_secondary_text]', array(
	'priority' =>15,
	'label' => __('Secondary Button Text', 'whitish-lite'),
	'section' => 'featured_content',
	'type' => 'text',
));
$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_secondary_url]', array(
	'default' =>$whitish_lite_settings['whitish_lite_secondary_url'],
	'sanitize_callback' => 'whitish_lite_sanitize_url',
	'type' => 'option',
	'capability' => 'manage_options'
));
$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_secondary_url]', array(
	'priority' =>16,
	'label' => __('Secondary Button Url', 'whitish-lite'),
	'section' => 'featured_content',
	'type' => 'text',
));
$wp_customize->add_section( 'whitish_lite_page_post_options', array(
	'title' => __('Display Page Slider','whitish-lite'),
	'priority' => 200,
	'panel' =>'whitish_lite_featuredcontent_panel'
));
for ( $i=1; $i <= $whitish_lite_settings['whitish_lite_slider_no'] ; $i++ ) {
	$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_featured_page_slider_'. $i .']', array(
		'default' =>'',
		'sanitize_callback' =>'whitish_lite_sanitize_page',
		'type' => 'option',
		'capability' => 'manage_options'
	));
	$wp_customize->add_control( 'whitish_lite_theme_options[whitish_lite_featured_page_slider_'. $i .']', array(
		'priority' => 220 . $i,
		'label' => __(' Page Slider', 'whitish-lite') . ' ' . $i ,
		'section' => 'whitish_lite_page_post_options',
		'type' => 'dropdown-pages',
	));
}
?>